Bug 445267 - nm-connection-editor crash setting WiFi MAC
nm-connection-editor crash setting WiFi MAC
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 16:46 EDT by Horst H. von Brand
Modified: 2009-02-04 19:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 19:22:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bugreport from Gnome (266.88 KB, text/plain)
2008-05-05 16:46 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-05-05 16:46:32 EDT
Description of problem:
Setting the MAC entry for my intel ipw3945 in the "Editing Auto linksys" window
(the linksys AP is not accessible right now) to the MAC on the card crashes the
applet.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. 
2.
3.
  
Actual results:
Crash, attached bugreport

Expected results:


Additional info:
Comment 1 Horst H. von Brand 2008-05-05 16:46:32 EDT
Created attachment 304557 [details]
Bugreport from Gnome
Comment 2 Dan Williams 2008-05-05 16:56:42 EDT
is the linksys AP an unencrypted/open wifi network?  If so, this should be fixed
upstream in the applet SVN r712.
Comment 3 Horst H. von Brand 2008-05-05 16:57:53 EDT
Yes, it is. But it is not in sight right now.
Comment 4 Bug Zapper 2008-05-14 06:40:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Stephen 2008-06-04 11:54:19 EDT
Just installed the live iso to a usb stick to try out before upgrading, and I'm
getting a similar crash. Is this the same?

I don't have to actually edit anything - simply:

- choose Edit Connections, Wireless Tab
- select the only connection, click Edit
- in the window that pops up just click OK
- Crash

On the other hand, clicking Cancel at this point successfully dismisses the window.

(I'd like to switch from DHCP to a static IP)


rpm -q NetworkManager
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386

There are no updates for NetworkManager* pending...
Comment 6 Dan Williams 2008-06-04 14:22:23 EDT
Stephen: can you try the version in updates-testing?

sudo yum --enablerepo=updates-testing update NetworkManager

and see if that fixes the issue?
Comment 7 Stephen 2008-06-06 09:12:22 EDT
That fixes it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.